Description

It seems that the translations x_hours and label_f_hours are     identic. (Same with x_hour and label_f_hour.) Moreover for many

languages only label_f_hours (respectively  label_f_hour) is translated. I suggest to replace label_f_hours by x_hours, because we

have also x_minutes, x_seconds, ...

Finally I suggest to delete the labels label_f_hour and label_f_hours from all translation files and repository.

Related issues:

Related to Redmine - Patch #14145: German translation of x_hours Closed

Related to Redmine - Patch #12630: Russian "x_hours" translation Closed

Related to Redmine - Defect #14151: Grammer problem with German x_days Closed

History

#1 - 2013-05-26 02:08 - Filou Centrinov

- Subject changed from Double translation: label_f_hour vs. x_hours to Double translation: label_f_hours vs. x_hours

- Description updated

#2 - 2013-05-30 13:16 - Filou Centrinov

Ok I see the difference. "x_hour" is used in phrases. So in french language for example we have "une heure" instead of "%{value} heure". However,

actually the french language is the only language using a word for a number.

So lets keep "label_f_hours" and just translate "x_hours" with "label_f_hours" for all languages.

#3 - 2013-05-30 13:26 - Filou Centrinov

With "label_f_hour" and "label_f_hours" we have only two labels but this is not sufficient for the russian language for example. See #12645.

#4 - 2013-06-06 01:02 - Filou Centrinov

- Status changed from New to Closed

I created this issue #14221 for x_hours translation.

#5 - 2013-06-06 01:02 - Filou Centrinov

- Status changed from Closed to Reopened
